#include<bits/stdc++.h>
using namespace std;
int main()
{
    long long n;
    cin>>n;
    long long ans=0;
    for(long long i=1; i*i<n; i++)
    {
        if(n%i==0)
        {
            for(long long j=i; j<n/i; j++)
            {
                if(n/(i*j))
                {
                    if(i<=j && j<=n/(j*i))
                    {
                        ans++;
                    }
                }
            }
        }
    }
    cout<<ans;
    return 0;
}

